#include "Python.h"
#include "gdal.h"

typedef struct {
  PyObject_HEAD
  void *ptr;
  void *ty;
  int own;
  PyObject *next;
} PySwigObject;

  PyObject *self, *args;
PyObject *MyCommand(self,args)
  { PyObject *result = NULL;
      PyObject *dataset = NULL;
    
    if (!PyArg_ParseTuple(args, "O", &dataset))
        return NULL;
        
    GDALDatasetH ds = NULL;
    PySwigObject* obj = PyObject_GetAttr(dataset,PyString_FromString("this"));
	if (obj) {
	  Py_DECREF(obj);
	} else {
	  if (PyErr_Occurred()) PyErr_Clear();
	  return 0;
	}

    ds = (GDALDatasetH) obj->ptr;
    GDALDriverH driver = GDALGetDatasetDriver( ds );
    const char* name = GDALGetDriverShortName( driver );
    printf("Driver name is %s!\n", name);
     result = PyString_FromString(name);
    //Py_DECREF(result);
    return result;
  }


    
PyMethodDef methods[] = {
  {"show", MyCommand, METH_VARARGS},
  {NULL, NULL},
};

void init_gdalswig()
  {
    (void)Py_InitModule("_gdalswig", methods);
  }